
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 退款成功通知
 * @author tmerclub
 */
public class BalanceRefundBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long refundId;

    private Long changeBalance;

    private Long payId;

    private Long userId;
    /**
     * 退款序号
     */
    private Integer refundNumber;

    /**
     * 支付系统类型
     */
    private Integer paySysType;

    public Integer getRefundNumber() {
        return refundNumber;
    }

    public void setRefundNumber(Integer refundNumber) {
        this.refundNumber = refundNumber;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getChangeBalance() {
        return changeBalance;
    }

    public void setChangeBalance(Long changeBalance) {
        this.changeBalance = changeBalance;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "BalanceRefundBO{" +
                "refundId=" + refundId +
                ", changeBalance=" + changeBalance +
                ", payId=" + payId +
                ", userId=" + userId +
                ", refundNumber=" + refundNumber +
                ", paySysType=" + paySysType +
                '}';
    }
}
